Run of fresh-releases for pskracker

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
[2022-12-01 17:20:53] Opening branch at https://gitlab.com/kalilinux/packages/pskracker.git/,branch=kali%2Fmaster
[2022-12-01 17:20:54] Using cached branch file:///home/janitor/vcs/git/pskracker/,branch=kali%2Flatest
[2022-12-01 17:20:54] Using resume branch: https://gitlab.com/kali-bot/pskracker.git,branch=new-upstream%2Fmain
[2022-12-01 17:23:26] (20/31)
[2022-12-01 17:23:26] (25/31)
[2022-12-01 17:23:26] Total 35 (delta 4), reused 0 (delta 0), pack-reused 3
[2022-12-01 17:23:45] All changes applied successfully.
[2022-12-01 17:23:51] Total 10 (delta 0), reused 7 (delta 0), pack-reused 3
[2022-12-01 17:23:55] ck-reused 0
[2022-12-01 17:24:01] Total 3 (delta 0), reused 0 (delta 0), pack-reused 3
[2022-12-01 17:24:04] Workspace ready - starting.
[2022-12-01 17:31:56] Opened schroot session kali-dev-amd64-sbuild-ae4e697e-0677-4e25-b2ab-ea316eb4419c (from kali-dev-amd64-sbuild)
[2022-12-01 17:31:56] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, debcargo_coerce_unacceptable_prerelease), SimpleBuildFixer(DebcargoUnacceptableComparator, debcargo_coerce_unacceptable_prerelease), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7fd21c69ef10>, [functools.partial(<function python_tie_breaker at 0x7fd21c4a4940>, <GitWorkingTree of /home/janitor/tmp/janitorvavhod_v/pskracker.git>, ''), BuildDependencyTieBreaker(LocalApt('/var/run/schroot/mount/kali-dev-amd64-sbuild-ae4e697e-0677-4e25-b2ab-ea316eb4419c')), <function popcon_tie_breaker at 0x7fd21c4b1040>]))]
[2022-12-01 17:31:56] Building debian packages, running 'sbuild -Asv --dpkg-file-suffix=+jan --force-orig-source --source-only-changes'.
[2022-12-01 17:37:48] Built ['pskracker_0.3.1+git20221118-0kali1~jan+nur1_amd64+jan.changes', 'pskracker_0.3.1+git20221118-0kali1~jan+nur1_source.changes'].
[2022-12-01 17:37:50] Running lintian
[2022-12-01 17:37:57] Pushing result branch to 'https://janitor.kali.org/git/pskracker'
[2022-12-01 17:37:59] Pushing packaging branch cache to https://janitor.kali.org/git/pskracker,branch=kali%2Flatest
Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 148, in get
    return open(path, 'rb')
OSError: [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-29ab961f4d777f34d7658eb9f6219176d69265d7.idx'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 1053, in run_worker
    push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/backoff/_sync.py", line 105, in retry
    ret = target(*args, **kwargs)
  File "/home/janitor/venv/lib/python3.9/site-packages/janitor/worker.py", line 678, in push_branch
    target.push_branch(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/dir.py", line 374, in push_branch
    push_result.branch_push_result = source.push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 1086, in push
    return InterBranch.get(self, target).push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/branch.py", line 2358, in push
    result = self._basic_push(
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 1273, in _basic_push
    result.old_revid = self.target.last_revision()
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 691, in last_revision
    return self.lookup_foreign_revision_id(self.head)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/branch.py", line 700, in lookup_foreign_revision_id
    return self.repository.lookup_foreign_revision_id(foreign_revid,
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/repository.py", line 443, in lookup_foreign_revision_id
    commit = self._git.object_store.peel_sha(foreign_revid)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 337, in peel_sha
    obj = self[sha]
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 145, in __getitem__
    type_num, uncomp = self.get_raw(sha)
  File "/home/janitor/venv/lib/python3.9/site-packages/dulwich/object_store.py", line 587, in get_raw
    for pack in self._update_pack_cache():
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/git/transportgit.py", line 648, in _update_pack_cache
    idxname, self.pack_transport.get(idxname))
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/local.py", line 152, in get
    self._translate_error(e, path)
  File "/home/janitor/venv/lib/python3.9/site-packages/breezy/transport/__init__.py", line 391, in _translate_error
    raise errors.TransportError(orig_error=e)
breezy.errors.TransportError: Transport error: [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-29ab961f4d777f34d7658eb9f6219176d69265d7.idx' [Errno 24] Too many open files: '/home/janitor/vcs/git/pskracker/objects/pack/pack-29ab961f4d777f34d7658eb9f6219176d69265d7.idx'
Full worker log

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☑ review not required
  • ☑ 0 publish attempts so far.not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set ae86cd5b-77d4-447e-b14c-6f9788a08033 is working
  • ☒ merge proposals for previous run were rejected: status.